variables:
  GO_VERSION: "1.22.3"
  MAX_IMAGE_SIZE_MB: 76
  MAX_SCAN_DURATION_SECONDS: 20
  SAST_EXCLUDED_ANALYZERS: "sobelow, nodejs-scan, brakeman"
  SAST_EXCLUDED_PATHS: "spec, test, tests, tmp, qa"

include:
  - https://gitlab.com/gitlab-org/security-products/ci-templates/raw/master/includes-dev/analyzer.yml
  - project: 'gitlab-org/security-products/ci-templates'
    ref: 'master'
    file: '/includes-dev/upsert-git-tag.yml'

integration-test:
  image:
    name: registry.gitlab.com/gitlab-org/security-products/analyzers/integration-test:stable
  services:
    - docker:20.10-dind
  variables:
    TMP_IMAGE: $CI_REGISTRY_IMAGE/tmp:$CI_COMMIT_SHA$IMAGE_TAG_SUFFIX
  script:
    - rspec -f d
